Edge - Local Deploy
Fetch logs from Edge
Receive logs from an Edge pipeline
POST
/
pipeline
/
account
/
local-deploy
/
log
Fetch logs from Edge
curl --request POST \
--url https://api.mezmo.com/v3/pipeline/account/local-deploy/log \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
]
'import requests
url = "https://api.mezmo.com/v3/pipeline/account/local-deploy/log"
payload = [
{
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
pipeline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
component_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>',
last_seen_at: '2023-11-07T05:31:56Z'
}
])
};
fetch('https://api.mezmo.com/v3/pipeline/account/local-deploy/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Enter your token in the format: Token mytokengoeshere
Query Parameters
Logs for specific edge_id
Minimum string length:
1Body
application/json
Response
200
Default Response
⌘I
Fetch logs from Edge

